apptainer(1)

NAME

apptainer-verify - Verify cryptographic signatures attached to an image

SYNOPSIS

apptainer verify [verify options...]

DESCRIPTION

The verify command allows a user to verify cryptographic signatures on SIF
  container files. There may be multiple signatures for data objects and
  multiple data objects signed. By default the command searches for the primary
  partition signature. If found, a list of all verification blocks applied on
  the primary partition is gathered so that data integrity (hashing) and
  signature verification is done for all those blocks.

OPTIONS

-a, --all[=false]
    verify all objects

-g, --group-id=0
    verify objects with the specified group ID

-h, --help[=false]
    help for verify

-j, --json[=false]
    output json

--legacy-insecure[=false]
    enable verification of (insecure) legacy signatures

-l, --local[=false]
    only verify with local key(s) in keyring

-i, --sif-id=0
    verify object with the specified ID

-u, --url=""
    specify a URL for a key server

EXAMPLE

      $ apptainer verify container.sif

SEE ALSO

apptainer(1)

HISTORY

11-Oct-2025 Auto generated by spf13/cobra